# Class Workflow

Workflow class

#### Hierarchy

- Workflow

#### Implements

- AbstractWorkflow

- Defined in saltcorn-data/models/workflow.ts:28

#####
Index

### Constructors

constructor

### Properties

__
action?
autoSave?
modifyForm?
onDone
onStepSave?
onStepSuccess?
previewURL?
saveURL?
startAtStepURL?
steps

### Methods

run
runStep
singleStepForm
title

## Constructors

### constructor

- new Workflow(o): Workflow

- Workflow constructor

  #### Parameters

  - ##### o: Partial<Workflow>

  #### Returns Workflow

  - Defined in saltcorn-data/models/workflow.ts:45

## Properties

### __

__: any

Implementation of AbstractWorkflow.__

- Defined in saltcorn-data/models/workflow.ts:33

### `Optional` action

action?: string

Implementation of AbstractWorkflow.action

- Defined in saltcorn-data/models/workflow.ts:32

### `Optional` autoSave

autoSave?: boolean

Implementation of AbstractWorkflow.autoSave

- Defined in saltcorn-data/models/workflow.ts:37

### `Optional` modifyForm

modifyForm?: ((form) => void)

#### Type declaration

- - (form): void

  - #### Parameters

    - ##### form: Form

    #### Returns void

- Defined in saltcorn-data/models/workflow.ts:39

### onDone

onDone: ((context) => any)

#### Type declaration

- - (context): any

  - #### Parameters

    - ##### context: any

    #### Returns any

Implementation of AbstractWorkflow.onDone

- Defined in saltcorn-data/models/workflow.ts:30

### `Optional` onStepSave

onStepSave?: ((step, context, formVals) => any)

#### Type declaration

- - (step, context, formVals): any

  - #### Parameters

    - ##### step: any

    - ##### context: any

    - ##### formVals: any

    #### Returns any

- Defined in saltcorn-data/models/workflow.ts:35

### `Optional` onStepSuccess

onStepSuccess?: ((step, context) => any)

#### Type declaration

- - (step, context): any

  - #### Parameters

    - ##### step: any

    - ##### context: any

    #### Returns any

- Defined in saltcorn-data/models/workflow.ts:31

### `Optional` previewURL

previewURL?: string

Implementation of AbstractWorkflow.previewURL

- Defined in saltcorn-data/models/workflow.ts:38

### `Optional` saveURL

saveURL?: string

Implementation of AbstractWorkflow.saveURL

- Defined in saltcorn-data/models/workflow.ts:34

### `Optional` startAtStepURL

startAtStepURL?: ((stepName) => string)

#### Type declaration

- - (stepName): string

  - #### Parameters

    - ##### stepName: string

    #### Returns string

Implementation of AbstractWorkflow.startAtStepURL

- Defined in saltcorn-data/models/workflow.ts:36

### steps

steps: any[]

Implementation of AbstractWorkflow.steps

- Defined in saltcorn-data/models/workflow.ts:29

## Methods

### run

- run(body?, req?): Promise<undefined | RunResult>

- #### Parameters

  - ##### `Optional` body: any

  - ##### `Optional` req: any

  #### Returns Promise<undefined | RunResult>

  Implementation of AbstractWorkflow.run

  - Defined in saltcorn-data/models/workflow.ts:108

### runStep

- runStep(context, stepIx): Promise<undefined | RunResult>

- #### Parameters

  - ##### context: any

  - ##### stepIx: number

  #### Returns Promise<undefined | RunResult>

  Implementation of AbstractWorkflow.runStep

  - Defined in saltcorn-data/models/workflow.ts:196

### singleStepForm

- singleStepForm(body?, req?): Promise<undefined | RunResult>

- #### Parameters

  - ##### `Optional` body: any

  - ##### `Optional` req: any

  #### Returns Promise<undefined | RunResult>

  Implementation of AbstractWorkflow.singleStepForm

  - Defined in saltcorn-data/models/workflow.ts:55

### title

- title(step, stepIx): string

- #### Parameters

  - ##### step: any

  - ##### stepIx: number

  #### Returns string

  Implementation of AbstractWorkflow.title

  - Defined in saltcorn-data/models/workflow.ts:309

Generated using TypeDoc